# Uses of Interface
org.bukkit.plugin.messaging.PluginMessageListener

Packages that use PluginMessageListener
Package
Description
org.bukkit.plugin.messaging
Classes dedicated to specialized plugin to client protocols.

## Uses of PluginMessageListener in org.bukkit.plugin.messaging

Methods in org.bukkit.plugin.messaging that return PluginMessageListener
Modifier and Type
Method
Description
`@NotNull PluginMessageListener`
PluginMessageListenerRegistration.`getListener()`
Gets the registered listener described by this registration.
Methods in org.bukkit.plugin.messaging with parameters of type PluginMessageListener
Modifier and Type
Method
Description
`@NotNull PluginMessageListenerRegistration`
Messenger.`registerIncomingPluginChannel(@NotNull Plugin plugin, @NotNull String channel, @NotNull PluginMessageListener listener)`
Registers the specific plugin for listening on the requested incoming plugin channel, allowing it to act upon any plugin messages.
`@NotNull PluginMessageListenerRegistration`
StandardMessenger.`registerIncomingPluginChannel(@NotNull Plugin plugin, @NotNull String channel, @NotNull PluginMessageListener listener)`
`void`
Messenger.`unregisterIncomingPluginChannel(@NotNull Plugin plugin, @NotNull String channel, @NotNull PluginMessageListener listener)`
Unregisters the specific plugin's listener from listening on the requested incoming plugin channel, no longer allowing it to act upon any plugin messages.
`void`
StandardMessenger.`unregisterIncomingPluginChannel(@NotNull Plugin plugin, @NotNull String channel, @NotNull PluginMessageListener listener)`
Constructors in org.bukkit.plugin.messaging with parameters of type PluginMessageListener
Modifier
Constructor
Description
``
`PluginMessageListenerRegistration(@NotNull Messenger messenger, @NotNull Plugin plugin, @NotNull String channel, @NotNull PluginMessageListener listener)`